Bug 242558 - security/p5-openxpki, security/p5-openxpki-i18n: Update to 3.2.0
Summary: security/p5-openxpki, security/p5-openxpki-i18n: Update to 3.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Tobias C. Berner
URL: https://github.com/openxpki/openxpki
Keywords: buildisok, patch
Depends on:
Blocks:
 
Reported: 2019-12-10 22:22 UTC by Sergei Vyshenski
Modified: 2020-01-20 18:39 UTC (History)
2 users (show)

See Also:


Attachments
patch to update two ports (77.67 KB, patch)
2019-12-10 22:22 UTC, Sergei Vyshenski
svysh.fbsd: maintainer-approval+
Details | Diff
patch to update two ports (30.97 KB, patch)
2020-01-19 22:02 UTC, Sergei Vyshenski
svysh.fbsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Vyshenski 2019-12-10 22:22:41 UTC
Created attachment 209845 [details]
patch to update two ports

- Update of 2 ports sharing the same distribution:
     2.5.5 --> 3.2.0
- Changes: 
	https://github.com/openxpki/openxpki/compare/v2.5.5...v3.2.0
- "portlint -AC" gives non-relevant warnings.
- "rclint -v files/openxpki.in" gives non-relevant warnings.
- Tested with:
12.1-RELEASE-p1 amd64
poudriere 3.3.2_1
perl 5.30.1
pkg 1.12.0
ssl=base
- Some of the buil-in perl tests in a clean jail of poudriere fail.
This is an issue of the tests themselves, and upstream is working on this. It does not prevent software from working fine.
- During build, non-relevannt warns are issued about possible redundant use of 
modules from perl core.
Comment 1 Automation User 2019-12-11 06:05:52 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/102139173
Comment 2 Tobias C. Berner freebsd_committer 2020-01-07 18:43:23 UTC
Moin moin 

Could you fix the plist sorting?

mfg Tobias
Comment 3 Sergei Vyshenski 2020-01-07 21:20:47 UTC
Hi Tobias,

The submitted pkg-plist had been definitely sorted as follows:

   sort pkg-plist > pkg-plist.1 && mv pkg-plist.1 pkg-plist

As you mentioned this issue, I have just double-checked it.

Also, I failed to find any indications about pkg-plist sorting in the Porter's Handbook.

Please give me reading directions or teach me, what else I can do about this sorting.

Regards, Sergei
Comment 4 Sergei Vyshenski 2020-01-07 21:27:41 UTC
Could it be that the behavior of sort has changed recently,
and now it places lines like

bin/....

_after_ lines, which begin with special symbols?
Comment 5 Tobias C. Berner freebsd_committer 2020-01-08 05:39:59 UTC
(In reply to Sergei Vyshenski from comment #3)
Moin moin 

generally they are sorted by expanded file name

so "bin/*" should come before "%%DATADIR%%/*" which expands to 'share/*'. 

The sort command sorts by the effective string value, not the expansion :)


mfg Tobias
Comment 6 Sergei Vyshenski 2020-01-19 22:02:25 UTC
Created attachment 210879 [details]
patch to update two ports

Sorted by makeplist. 
Tested with poudriere as before.
Sorry for delay: my poudriere farm had been broken.
Comment 7 Tobias C. Berner freebsd_committer 2020-01-20 05:58:50 UTC
Thanks for sorting things out =)
Comment 8 Tobias C. Berner freebsd_committer 2020-01-20 18:39:08 UTC
Committed. Thanks.
Comment 9 commit-hook freebsd_committer 2020-01-20 18:39:41 UTC
A commit references this bug:

Author: tcberner
Date: Mon Jan 20 18:38:59 UTC 2020
New revision: 523639
URL: https://svnweb.freebsd.org/changeset/ports/523639

Log:
  security/p5-openxpki, security/p5-openxpki-i18n: Update to 3.2.0

  	https://github.com/openxpki/openxpki/compare/v2.5.5...v3.2.0

  PR:		242558
  Submitted by:	Sergei Vyshenski <svysh.fbsd@gmail.com>  (maintainer)

Changes:
  head/security/p5-openxpki/Makefile
  head/security/p5-openxpki/distinfo
  head/security/p5-openxpki/pkg-plist
  head/security/p5-openxpki-i18n/Makefile
  head/security/p5-openxpki-i18n/distinfo